Library (Gradle API 3.4.1)
Date: 2017-03-03

org.gradle.plugins.ide.eclipse.model

## Class Library

- java.lang.Object
- - org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry
  - - org.gradle.plugins.ide.eclipse.model.AbstractLibrary
    - - org.gradle.plugins.ide.eclipse.model.Library

- All Implemented Interfaces:
    ClasspathEntry

      public class Library
      extends AbstractLibrary

  A classpath entry representing a library.

- - ### Field Summary

    - ### Fields inherited from class org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry

      `accessRules, COMPONENT_DEPENDENCY_ATTRIBUTE, COMPONENT_NON_DEPENDENCY_ATTRIBUTE, entryAttributes, exported, path`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Library(FileReference library)`
    `Library(Node node, org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory fileReferenceFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getKind()`
    `String` | `toString()`

    - ### Methods inherited from class org.gradle.plugins.ide.eclipse.model.AbstractLibrary

      `appendNode, equals, getJavadocPath, getLibrary, getModuleVersion, getSourcePath, hashCode, setJavadocPath, setLibrary, setModuleVersion, setSourcePath`

    - ### Methods inherited from class org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry

      `addClasspathEntry, getAccessRules, getEntryAttributes, getNativeLibraryLocation, getPath, isExported, normalizePath, setAccessRules, setExported, setNativeLibraryLocation, setPath, writeEntryAttributes`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Library

          public Library(Node node,
                 org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory fileReferenceFactory)

    - #### Library

          public Library(FileReference library)

  - ### Method Detail

    - #### getKind

          public String getKind()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractLibrary`